## ros-noetic-leo-example-line-follower 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(leo_example_line_follower)

find_package(catkin REQUIRED COMPONENTS
  dynamic_reconfigure
)


generate_dynamic_reconfigure_options(
  cfg/ColorMask.cfg
)

catkin_package(CATKIN_DEPENDS
  dynamic_reconfigure
)


install(
  DIRECTORY 
    config
    launch
    models
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

catkin_install_python(
  PROGRAMS scripts/data_saver.py
           scripts/line_follower.py
           scripts/color_mask.py
           scripts/prepare_data.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-noetic-leo-example-line-follower (0.1.1-1focal) focal; urgency=high

  * fixed grammar errors in package.xml descriptions for object_detection and line_follower packages
  * Contributors: Aleksander Szymański

 -- Fictionlab <support@fictionlab.pl>  Mon, 21 Nov 2022 23:00:00 -0000

ros-noetic-leo-example-line-follower (0.1.0-1focal) focal; urgency=high

  * Line follower example (#1 <https://github.com/LeoRover/leo_examples/issues/1>)
    * initial commit for line follower package
    * package.xml: remove redundant dependencies
    * data_saver.py: replaced use od ros parameters with command line arguments and python argparse
    * data_saver.py: added info on node's exit and fixed path for file with labels
    * data_saver.py: Added info logs for creating files and directories
    * data_saver.py: starting time counting with the first message from cmd_vel topic, fixed saved img filename, closing label file on shutdown
    * data_saver.py: added saving images and labels
    * data_saver.py: added ignoring images with label (0.0, 0.0)
    * added line_follower.py - script for autonomous following the line with rover
    * added directory with first models, needed for line_follower.py script
    * models: added model trained on color masks, with two lines track
    * color_mask: added color_mask.py script with ros node for chosing hsv bounds for color mask
    * color_mask: added cfg directory with yaml files with example hsv_bounds and dynamic_reconfigure config file
    * color_mask: changed package.xml and CMakeLists.txt for use of dynamic_reconfigure
    * data_saver.py: fixed typos and formatted code with black
    * data_saver: removed unused arguments from launch file
    * color mask: added launch file for the color_mask_finder node
    * line_follower.py: added use of ros parameters for hsv color bounds
    * line follower: added launch file for the line follower node
    * moved yaml files to config directory
    * fixed typos, and added descriptions to ros args
    * removed redundant files
    * line_follower.py: switched param names to private namespace
    * added model trained on more accurate color masks
    * CMakeLists.txt: fixed catkin_lint errors
    * package.xml: updated package description
    * color_mask.py: implemented code review guidlines (about python buildins and instance method)
    * data_saver.py: implemented guidlines from code review
    * scripts: implemented guidlines from code review
    * config: added yaml files with color mask values for blue and red colors
    * color_mask.launch: changed default value of 'file' arg
    * package.xml: fixed typo
    * data_saver.py: implemented guidelines from code review
    * scripts: added script for processing saved data into ready dataset for keras model
    * prepare_data.py: fixed os.join bugs
    * data_saver.py: added base path if output directory is given as relative path
    * data_saver.py: added use of ptahlib home function instead of hardcoding home directory path
    * prepare_data.py: made the script executable with rosrun
    * prepare_data.py: gave the script execution rights with chmod + x
    * prepare_data.py: removing parent directories when train and validation dirs are nested paths
    * prepare_data.py: switched moving and removing files to just copying
    * prepare_data.py: added creating of zip file from processed data, and clearing the working directory from zipped files
    * prepare_data.py: added printing info about zipping files
    * line_follower.launch: fixed ros find package syntax error
    * prepare_data.py: changed argument names to one pattern
    * prepare_data.py: added checking if the zipfile name ends with '.zip'
    * prepare_data.py: formated the code using black
    * added notebook to repository
    * CMakeLists.txt: added prepare_data.py script to catkin_install_python section
    * implemented code review guidlines
    * line_follower.launch: updated arg name in rosparam
  * Contributors: Aleksander Szymański

 -- Fictionlab <support@fictionlab.pl>  Wed, 25 May 2022 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-leo-example-line-follower
Section: misc
Priority: optional
Maintainer: Fictionlab <support@fictionlab.pl>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-dynamic-reconfigure
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-leo-example-line-follower
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cv-bridge, ros-noetic-dynamic-reconfigure, ros-noetic-geometry-msgs, ros-noetic-rospy, ros-noetic-sensor-msgs
Description: A neural Network model for line track following Example for Leo Rover.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-leo-example-line-follower//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
